List contacts

Allows filtering contacts using OR logic instead of the default AND, enabling matches on any of the specified criteria.

Required Scopes:

contacts:read

Query Parameters
  • email
    Type: string

    Filter by contact email (partial match)

  • limit
    Type: integer

    Number of results to return per page.

  • name
    Type: string

    Filter by contact name (partial match)

  • offset
    Type: integer

    The initial index from which to return the results.

  • phone
    Type: string

    Filter by phone number (partial match)

  • secondary_email
    Type: string

    Filter by secondary email (partial match)

Responses
  • application/json
Request Example for get/v1/contacts/
curl https://api.foundation.dev.trusspayments.com/v1/contacts/ \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100",
  "results": [
    {
      "uid": "123e4567-e89b-12d3-a456-426614174000",
      "name": "string",
      "email": null,
      "secondary_email": null,
      "phone": null,
      "oauth_connection_id": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}